Bug 1822142 - Review Request: golang-github-chromedp - Drive browsers supporting the Chrome DevTools Protocol
Summary: Review Request: golang-github-chromedp - Drive browsers supporting the Chrome...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1821419 1821746
Blocks: 1822145 1866183
TreeView+ depends on / blocked
 
Reported: 2020-04-08 11:09 UTC by Fabian Affolter
Modified: 2020-09-25 17:46 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-25 17:00:14 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Fabian Affolter 2020-04-08 11:09:13 UTC
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/golang-github-chromedp.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/golang-github-chromedp-0.5.3-1.fc31.src.rpm

Project URL: https://github.com/chromedp/chromedp

Description:
A faster, simpler way to drive browsers supporting the Chrome DevTools
Protocol.

Koji scratch build:
fails due to missing dependencies

rpmlint output:
$ rpmlint golang-github-chromedp-0.5.3-1.fc31.src.rpm 
golang-github-chromedp.src: W: no-%build-section
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint golang-github-chromedp-devel-0.5.3-1.fc31.noarch.rpm 
golang-github-chromedp-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/github.com/chromedp/chromedp/.goipath
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Fedora Account System Username: fab

Comment 1 Robert-André Mauchin 🐧 2020-06-20 19:59:23 UTC
Remove the extraneous %files spection

 - License ok
 - Latest version packaged
 - Builds in mock
 - Conforms to Packaging Guidelines

Package approved.

Comment 2 Gwyn Ciesla 2020-06-24 13:50:03 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-chromedp

Comment 3 Elliott Sales de Andrade 2020-08-19 07:33:50 UTC
PS, can you build for all releases?

Comment 4 Elliott Sales de Andrade 2020-08-23 21:54:52 UTC
This should have a runtime dependency on `chromium`, or you can't run tests in dependent packages without specifying it also. Or if you want to allow real chrome for people in RPMfusion, then a Recommends instead.

%global godevelheader %{expand:
Requires:       chromium}

Comment 5 Elliott Sales de Andrade 2020-08-23 22:22:08 UTC
Also, you have %files for the (no-suffix) main package, but it's empty and doesn't have any additional Requires. I don't think it's necessary to produce that main package.

Comment 6 Fedora Update System 2020-09-17 10:29:00 UTC
FEDORA-2020-71c410f165 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-71c410f165

Comment 7 Fedora Update System 2020-09-17 10:29:07 UTC
FEDORA-2020-df3d194a14 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-df3d194a14

Comment 8 Fedora Update System 2020-09-17 10:29:17 UTC
FEDORA-2020-b313edba5f has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-b313edba5f

Comment 9 Fedora Update System 2020-09-17 15:04:53 UTC
FEDORA-2020-b313edba5f has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-b313edba5f \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-b313edba5f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-09-17 15:11:38 UTC
FEDORA-2020-71c410f165 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-71c410f165 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-71c410f165

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-09-17 17:56:33 UTC
FEDORA-2020-df3d194a14 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-df3d194a14 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-df3d194a14

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2020-09-25 17:00:14 UTC
FEDORA-2020-df3d194a14 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2020-09-25 17:35:50 UTC
FEDORA-2020-b313edba5f has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2020-09-25 17:46:32 UTC
FEDORA-2020-71c410f165 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.